'--------------------------------------------------------------------------------------------------------------
' Faktura-Software Scriptdatei 
' Funktion: 	Legt neuen Lieferanten zu einem Artikel an und fllt den Datensatz mit Standardwerten
' Ansicht: 	FakturaArtikel
' Script:    	FakturaArtikel_13_Neuer_Lieferant_zum_Artikel_einfuegen.vbs
' Produkt:  	cosmolink Faktura cRM 6 (Version 2.1.25)
' Autor  :   	Dr. Frank Wietzel

' Faktura-Software.net macht keine Angaben zu einer bestimmten Eignung der Information in diesem Script
' Irrtmer und Fehler bleiben ausdrcklich vorbehalten und die Angaben erfolgen ohne Gewhr. 
' Die Angaben stellen nur Einzelfallszenarien dar und enthalten keine Garantie der Beschaffenheit 
' der Produkte. 
 
' Copyright (c) by Faktura-Software.net. Alle Rechte vorbehalten.
'--------------------------------------------------------------------------------------------------------------


Option Explicit
<!--#include file="%PRJDIR%\script\CosmoOle.vbs"-->
<!--#pragma keepeditmode-->

'--------------------------------------------------------------------------------------------------------------
' Begin Versionierung
'--------------------------------------------------------------------------------------------------------------
Dim sSkriptVersion
sSkriptVersion = "002"
'--------------------------------------------------------------------------------------------------------------
' What's new
'--------------------------------------------------------------------------------------------------------------
' Version 002 
' - Aktualisierung der Ansicht durch Containeraktualisierung ersetzt.
'--------------------------------------------------------------------------------------------------------------

Dim sErrorCode, sErrorProjekt, sErrorAnsicht, sErrorSkript

sErrorProjekt   = cRM.CurrentProject.GetSessionProperty("cRM_Projekt_ProjektNr",True)
sErrorAnsicht   = "119"
sErrorSkript    = "007"

sErrorCode =  sErrorProjekt & sErrorAnsicht & sErrorSkript

'--------------------------------------------------------------------------------------------------------------
' Ende Versionierung
'--------------------------------------------------------------------------------------------------------------

'ShowMessage ("huhu")


'----- 1. Daten fr Beleg neu zusammenstellen -----

Dim sErfUser,sArtikel, sNewRecordid

sErfUser       = Crm.CurrentProject.CurrentUser


sArtikel = Crm.CurrentProject.ActiveViews.ActiveView.CurrentRecordSet.CurrentRecordSynchronized.GetContentsByName("Artikelnr")

If sArtikel = "" Then
  RaiseException("ErrorCode:" & sErrorCode & "001" & vbLF & vbLF & "Der Artikel konnte nicht bestimmt werden. " & vbLF & "Die Funktion wird nicht fortgesetzt")
  WScript.Quit
End If

sNewRecordid = GetGuid1()
If sNewRecordid = "" Then
  RaiseException("ErrorCode:" & sErrorCode & "002" & vbLF & vbLF & "GetGuid() konnte nicht ausgefhrt werden. " & vbLF & "Die Funktion wird nicht fortgesetzt")
  WScript.Quit
End If


'ShowMessage(sNewRecordid)





'----- 3.  Belegposten aktualisieren -----

Dim sProcedure, sTrennzeichen, sParameter

     sProcedure    = "Fs_Artikel_Neuer_Artikel_Lieferant"
     sTrennzeichen = ";"
     sParameter    = sArtikel & ";" & sErfUser & ";" & sNewRecordid
'showmessage(sParameter)
     'Stored Procedure kontrolliert ausfhren
      Dim bSP 

      bSP = (FakturaProcedure( sProcedure,sTrennzeichen,sParameter,sErrorCode & "001"))
   
      if bSP = False THEN
        'RaiseException("ErrorCode:" & sErrorCode & "002" & vbLF & vbLF & "Interner Fehler. " & vbLF & "Das Script 'wird nicht fortgesetzt. Bitte kontaktieren Sie den Support")
        Wscript.Quit
      End If 
     
      

'    ----- 5. Update der Container -----
'cRM.CurrentProject.ActiveViews.ActiveView.CurrentInputForm(2).UpdateAllContainers

' Aktive Ansicht aktualisieren:
cRM.CurrentProject.ActiveViews.ActiveView.Update





Function GetGuid1()
  Dim TypeLib
    Set TypeLib = CreateObject("Scriptlet.TypeLib")
    GetGuid1 = Left(CStr(TypeLib.Guid), 38)
 '   GetGuid1 = Replace(GetGuid1,"{","")
 '   GetGuid1 = Replace(GetGuid1,"}","")
    Set TypeLib = Nothing
End Function