'--------------------------------------------------------------------------------------------------------------
' Factura-Software Scriptdatei 
' Funktion: 	Ansprechpartner fr den Beleg setzen
' Ansicht:  	FakturaBelege
' Script:	FakturaBelege_56_Ansprechpartner_Waehlen.vbs
' Produkt:	combit Relationship Manager 6
' Autor  :  	Andreas Mller

' Faktura-Software.net macht keine Angaben zu einer bestimmten Eignung der Information in diesem Script
' Irrtmer und Fehler bleiben ausdrcklich vorbehalten und die Angaben erfolgen ohne Gewhr. 
' Die Angaben stellen nur Einzelfallszenarien dar und enthalten keine Garantie der Beschaffenheit 
' der Produkte. 
 
' Copyright (c) by Faktura-Software.net. Alle Rechte vorbehalten.
'--------------------------------------------------------------------------------------------------------------


Option Explicit
<!--#include file="%PRJDIR%\script\CosmoOle.vbs"-->

'--------------------------------------------------------------------------------------------------------------
' Begin Versionierung
'--------------------------------------------------------------------------------------------------------------
Dim sSkriptVersion
sSkriptVersion = "002"
'--------------------------------------------------------------------------------------------------------------
' What's new
'--------------------------------------------------------------------------------------------------------------
' Version 002 
' - bernahme von Vorname und Nachname bei Auswahl des Ansprechpartners
'--------------------------------------------------------------------------------------------------------------

Dim sErrorCode, sErrorProjekt, sErrorAnsicht, sErrorSkript

sErrorProjekt   = cRM.CurrentProject.GetSessionProperty("cRM_Projekt_ProjektNr",True)
sErrorAnsicht   = "118"
sErrorSkript    = "056"

sErrorCode =  sErrorProjekt & sErrorAnsicht & sErrorSkript

'--------------------------------------------------------------------------------------------------------------
' Ende Versionierung
'--------------------------------------------------------------------------------------------------------------

'Loginuser ermitteln
Dim sErf_User

sErf_User = cRM.CurrentProject.CurrentUser

'Recordid des Belegs -wenn "" dann Ende
Dim sRecordid

sRecordid = GetViewContentByName("Recordid")

if sRecordid = "" Then  
  Wscript.Quit
End If


' Ansprechpartner auswhlen
Dim sAspID,sAsp,sFilterAsp


sAspID =  OpendialogSelectRecord("Benutzer","","ID","Ansprechpartner whlen","Es konnte kein Ansprechpartner gefunden werden.")

If sAspID = "" Then
  WScript.Quit
End If

sFilterAsp =  """cmbt_View_Users"".""ID"" = 0x" & sAspID

sAsp = GetHiddenFieldContentByName("Benutzer", sFilterAsp,"FirstName", "Der Ansprechpartner konnte nicht ermittelt werden") 

If Len(sAsp)>1 Then 
 sAsp  = sAsp & " " 
End If

sAsp = sAsp + GetHiddenFieldContentByName("Benutzer", sFilterAsp,"LastName", "Der Ansprechpartner konnte nicht ermittelt werden")

'---------------------------------------------------------------------------------------------------------------------------
' Datensatz setzen
'--------------------------------------------------------------------------------------------------------------------------- 
showmessage(sAsp)
SetViewContentbyNameam "Zusatz2",sAsp


' Prozedure: Legt den Inhalt des Feldes fest, dessen Feldname bergeben wurde
'--------------------------------------------------------------------------------------------------------------
Sub SetViewContentbyNameam(sfield,sContent)

Dim oProject, oListViews, oView, oCurrentRecordSet, oCurrentRecord

' Aktives cRM Projekt:
Set oProject 		= cRM.CurrentProject
Set oListViews		= oProject.ActiveViews
Set oView			= oListViews.ActiveView
Set oCurrentRecordSet = oView.CurrentRecordSet
Set oCurrentRecord	= oCurrentRecordSet.CurrentRecordSynchronized

oCurrentRecord.SetContentsByName CStr(sfield), sContent

' Datensatz speichern und Schreibvorgang prfen:
If oCurrentRecord.Save = True Then
	
	' Ansicht aktualisieren:
        oView.Update
        'GetActiveViewbyObject.CurrentRecordSet.MoveLast 'Bei iss musste ich das auskommentieren wegen access valuation
	
Else
   RaiseException ("Achtung ein Datensatz konnte nicht geschrieben werden." & vbLf &"Debug Information: SetViewContentbyNameNoMsg " & sfield &"|" & sContent &"|" & GetActiveViewbyName)
End If

Set oCurrentRecord	= Nothing
Set oCurrentRecordSet = Nothing
Set oView			= Nothing
Set oListViews 		= Nothing
Set oProject 		= Nothing

End Sub

