'--------------------------------------------------------------------------------------------------------------
' Faktura-Software Scriptdatei 
' Funktion: 	Artikel einer Bestellung zum Beleg in Faktura_Beleg_Positionen bernehmen
' Ansicht: 	FakturaBeleg_Positionen
' Script:    	FakturaBeleg_Positionen_08_Lieferantenartikel_Ohne_Lieferantenbezug_auswhlen.vbs
' Produkt:  	combit Relationship Manager 5
' Autor  :   	Andreas Mller

' Faktura-Software.net macht keine Angaben zu einer bestimmten Eignung der Information in diesem Script
' Irrtmer und Fehler bleiben ausdrcklich vorbehalten und die Angaben erfolgen ohne Gewhr. 
' Die Angaben stellen nur Einzelfallszenarien dar und enthalten keine Garantie der Beschaffenheit 
' der Produkte. 
 
' Copyright (c) by Faktura-Software.net. Alle Rechte vorbehalten.
'--------------------------------------------------------------------------------------------------------------


Option Explicit
<!--#include file="%PRJDIR%\script\CosmoOle.vbs"-->
<!--#pragma keepeditmode-->

'--------------------------------------------------------------------------------------------------------------
' Begin Versionierung
'--------------------------------------------------------------------------------------------------------------
Dim sSkriptVersion
sSkriptVersion = "001"
'--------------------------------------------------------------------------------------------------------------
' What's new
'--------------------------------------------------------------------------------------------------------------
' Version 002 
' - 
'--------------------------------------------------------------------------------------------------------------

Dim sErrorCode, sErrorProjekt, sErrorAnsicht, sErrorSkript

sErrorProjekt   = cRM.CurrentProject.GetSessionProperty("cRM_Projekt_ProjektNr",True)
sErrorAnsicht   = "119"
sErrorSkript    = "008"

sErrorCode =  sErrorProjekt & sErrorAnsicht & sErrorSkript

'--------------------------------------------------------------------------------------------------------------
' Ende Versionierung
'--------------------------------------------------------------------------------------------------------------




'----- 1. Daten fr Beleg neu zusammenstellen -----

Dim sErfUser,sBelegPosRecordid, sFirmenRecordid,sBelegAbgeschlossen, sLieferantRecordid

sErfUser       = Crm.CurrentProject.CurrentUser


sBelegPosRecordid = Crm.CurrentProject.ActiveViews.ActiveView.CurrentRecordSet.CurrentRecordSynchronized.GetContentsByName("Recordid")

If sBelegPosRecordid = "" Then
  RaiseException("ErrorCode:" & sErrorCode & "001" & vbLF & vbLF & "Der Beleg konnte nicht bestimmt werden. " & vbLF & "Das Script wird nicht fortgesetzt")
  WScript.Quit
End If


'----- 2. Abfrage des Artikels OpenDialog -----

'Artikel zum Hinzufgen auswhlen, Menge whlen
Dim sView,sFilter,sField,sDlgMsg,sErrorRecCount,sArtikelnr

    sView              = "FakturaArtikel"
    sFilter             = "1=1"
    sField              = "Artikelnr"
    sDlgMsg           = "Artikel ohne Lieferantenbezug auswhlen"
    sErrorRecCount = "Es konnten keine Artikel gefunden werden."

   
  'Lieferant_Recordid abfragen
  sArtikelnr = OpenDialogSelectRecord(sView,sFilter,sField,sDlgMsg,sErrorRecCount)
  
  if sArtikelnr = "" then
    Wscript.Quit
  End If


'----- 3.  Belegposten aktualisieren -----

Dim sProcedure, sTrennzeichen, sParameter

     sProcedure    = "Fs_BelegPos_Artikelnr_Lieferant_Ohne_Lieferantenzuordnung"
     sTrennzeichen = ";"
     sParameter    = sArtikelnr & ";" & sBelegPosRecordid & ";" & sErfUser
'showmessage(sParameter)

     'Stored Procedure kontrolliert ausfhren
      Dim bSP 

      bSP = (FakturaProcedure( sProcedure,sTrennzeichen,sParameter,sErrorCode & "001"))
   
      if bSP = False THEN
        'RaiseException("ErrorCode:" & sErrorCode & "002" & vbLF & vbLF & "Interner Fehler. " & vbLF & "Das Script 'wird nicht fortgesetzt. Bitte kontaktieren Sie den Support")
        Wscript.Quit
      End If 
     
      

'    ----- 5. Update der Container -----
'cRM.CurrentProject.ActiveViews.ActiveView.CurrentInputForm(2).UpdateAllContainers

' Aktive Ansicht aktualisieren:
cRM.CurrentProject.ActiveViews.ActiveView.Update


